2009-11-09  Jb Evain  <jbevain@novell.com>

	* XslCompiledTransform.cs: ifdef the temporary files collection
	for MonoTouch.

2008-12-09  Atsushi Enomoto  <atsushi@ximian.com>

	* XslCompiledTransform.cs : Fixed bug #450797, patch by Jonathan
	  Anderson. Preserve whitespace-only text in xsl:text.

2008-06-03  Atsushi Enomoto  <atsushi@ximian.com>

	* XslTransform.cs : add pretty simple printing debugger.

2008-05-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XslCompiledTransform.cs : in XmlWriterSettings, use
	  ConformanceLevel.Fragment to allow fragment output.
	  In Transform(string,string), use TextWriter output instead of
	  XmlWriter to control xml declaration output.
	  Fixed bug #391424.

2007-12-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XslCompiledTransform.cs : when loading XmlReader as an input to
	  Transform(), preserve whitespaces in the input document. Based on
	  the patch by Tor Lillqvist (part of #349375 fix).

2007-10-10  Atsushi Enomoto  <atsushi@ximian.com>

	* XslCompiledTransform.cs : actually previous change was not enough.
	  Added a commented-out example of debugger method usage.

2007-10-10  Atsushi Enomoto  <atsushi@ximian.com>

	* XslCompiledTransform.cs : a bit more of debugging help. Now it
	  stores stylesheet elements when "enableDebug" is true.

2007-06-28  Atsushi Enomoto  <atsushi@ximian.com>

	* XslCompiledTransform.cs XslTransform.cs : initial attempt to
	  support external debugger.

2006-11-30  Atsushi Enomoto  <atsushi@ximian.com>

	* XslTransform.cs, XsltException.cs : added XSLT stack frame debug
	  support, based on the patch by Michael Meeks.

2006-10-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltContext.cs : finally created a non-copyright-infringing test
	  for bug #46751 and fixed it.

2006-07-06  Atsushi Enomoto  <atsushi@ximian.com>

	* XslCompiledTransform.cs : making stub more complete :|

2006-05-29  Gert Driesen  <drieseng@users.sourceforge.net>

	* XsltContext.cs: Ctors are public in .NET 1.1. Fixes warnings in 
	class status page. Set eol-style to CRLF.

2006-05-08  Atsushi Enomoto  <atsushi@ximian.com>

	* XslTransform.cs : fixed ObsoleteAttributes. It won't be harmful
	  as we have working XslCompiledTransform stubs.

2006-02-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltContext.cs : don't expect that it is always XsltCompiledContext
	  which is being evaluated in XPathExpression. Dispatch overriden
	  methods. Fixed bug #46751.

2006-01-25  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltContext.cs : fixed method signatures found by updated
	  corcompare.

2005-12-23  Gert Driesen  <drieseng@users.sourceforge.net>

	* IXsltContextFunction.cs: Fixed line endings (all CRLF).
	* IXsltContextVariable.cs: Fixed line endings (all CRLF).
	* XsltContext.cs: Fixed line endings (all CRLF).
	* XsltCompileException.cs: Fixed line endings (all CRLF).
	Fixed message to correspond with both MS.NET 1.x and 2.0.
	* XslTransform.cs: Fixed line endings (all CRLF).
	* XsltArgumentList.cs: Fixed line endings (all CRLF).
	* XsltException.cs: Fixed line endings (all CRLF). Fixed message to
	correspond with MS.NET 1.x and 2.0.

2005-11-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XslCompiledTransform.cs : added non-compiler transformer (aka. stub).

2005-11-07  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltException.cs : under 2.0, some properties are virtual.

2005-11-07  Andrew Skiba  <andrews@mainsoft.com>

	* XslTransform.cs: throw meaningful exception when Transform is
	called before Load

2005-10-08  Gert Driesen  <drieseng@users.sourceforge.net>

	* XsltSettings.cs: Marked sealed.

2005-09-16  Atsushi Enomoto  <atsushi@ximian.com>

	* XslTransform.cs : When Transform() returns XmlReader, allow empty
	  results. Fixed bug #76115.

2005-08-31  Sebastien Pouliot  <sebastien@ximian.com>

	* XsltArgumentList.cs: Added a LinkDemand for Unrestricted on 
	AddExtensionObject method.
	* XsltCompileException.cs: Added a Demand for SerializationFormatter 
	on GetObjectData method.
	* XsltException.cs: Added a Demand for SerializationFormatter on
	GetObjectData method.

2005-08-01  Gert Driesen  <drieseng@users.sourceforge.net>

	* XsltArgumentList.cs: No longer sealed in .NET 2.0.
	* XsltException.cs: Message override is back in .NET 2.0 Beta 2.

2005-06-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltMessageEncounteredEventArgs.cs : it seems abstract.
	* XsltSettings.cs : There is another .ctor().

2005-06-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltSettings.cs,
	  XsltMessageEncounteredEventArgs.cs,
	  XsltMessageEncounteredEventHandler.cs : new files for net_2_0.
	* XsltArgumentList.cs : added 2.0 message event.

2005-04-03  Ben Maurer  <bmaurer@ximian.com>

	* *.cs: Kill unmanaged xslt and the multiplexing hack.

2005-03-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XslTransform.cs : commented out warned code.

2005-03-09  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltContext.cs : removed GetNsm() from IStaticXsltContext and added
	  LookupNamespace() instead.
	* BUGS-MS.txt : more bug info.

2005-03-04  Atsushi Enomoto  <atsushi@ximian.com>

	* BUGS-MS.txt : more bug info.

2005-02-25  Atsushi Enomoto  <atsushi@ximian.com>

	* BUGS-MS.txt : still more bug info.

2005-02-25  Atsushi Enomoto  <atsushi@ximian.com>

	* BUGS-MS.txt : more bug info.

2005-02-24  Atsushi Enomoto  <atsushi@ximian.com>

	* XslTransformImpl.cs : Load() should use argument XmlResolver to
	  get file stream. This fixes bug #72942.
	* BUGS-MS.txt : more bug info.

2005-02-23  Atsushi Enomoto  <atsushi@ximian.com>

	* BUGS-MS.txt : all output_outputXXX comparison does not make sense.

2005-02-22  Atsushi Enomoto  <atsushi@ximian.com>

	* BUGS-MS.txt : explaination on the last standalone test revert.

2005-02-21  Atsushi Enomoto  <atsushi@ximian.com>

	* BUGS-MS.txt : more bug records.

2005-02-18  Atsushi Enomoto  <atsushi@ximian.com>

	* BUGS-MS.txt : more bug records.

2005-02-17  Atsushi Enomoto  <atsushi@ximian.com>

	* BUGS-MS.txt : added MS bug information.

2005-02-17  Atsushi Enomoto  <atsushi@ximian.com>

	* ManagedXslTransform.cs : no need to write XML declaration here.

2004-12-08  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltException.cs, XsltCompileException.cs :
	  added SecurityPermissionAttributes.

2004-10-09  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltException.cs : Message is incorrectly regarded only after 2.0
	  (while it *disappeared* in 2.0).

2004-08-30  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltException.cs : Message property is not overriden in NET_2_0.

2004-08-30  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltException.cs : added NET_2_0 constructors too.

2004-08-30  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltCompileException.cs : added NET_2_0 constructors.
	  Hide property Message under NET_2_0.

2004-05-06  Atsushi Enomoto  <atsushi@ximian.com>

	* ManagedXslTransform.cs : For Stream input, use StreamWriter for 
	  input to GenericOutputter. Passing XmlWriter causes unexpected
	  xml declaration output.

2004-03-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltContext.cs : Supply NameTable to base ctor().

2004-03-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XsltException.cs, XsltCompileException.cs : They had used 
	  message field which were never set.

2004-01-16  Atsushi Enomoto  <atsushi@ximian.com>

	* Multiplexer.cs : Pass stream parameters as is (to handle
	  encoding correctly). Patch by Dariusz Olszewski. Bug #52913 fixed.
	* ManagedXslTransform.cs : In ctor() with stream, pass encoding 
	  parameter also for managed transformer.

2004-01-15  Atsushi Enomoto  <atsushi@ximian.com>

	* ManagedXslTransform.cs : Pass TextReader's encoding for outputter.
	  don't write start and end document.

2003-12-25  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* Multiplexer.cs : Now we use managed XSLT engine by default.
	  Added obsolete attribute to Transform()s without xmlresolver.

2003-12-07  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* XsltException.cs, XsltCompileException.cs : Added locatable .ctor().

2003-12-05  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* Multiplexer.cs : set_XmlResolver is marked as obsolete.
	  Added new Transform() methods introduced in .NET 1.1.
	  CRLF and LF are desparately mixed, so adjusted to LF.
	* XslTransform.cs :
	  CRLF and LF are desparately mixed, so adjusted to CRLF.

2003-12-02  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* XslTransformImpl.cs : Load(XmlReader) should pass XmlSpace.Preserve
	  to XPathDocument.ctor().

2003-11-21  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* ManagedXslTransform.cs : Now WriteStartDocument() is moved internal to
	  GenericOutputter.

2003-11-19  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* ManagedXslTransform.cs : Transform() should raise an error if no 
	  stylesheet was loaded.

2003-10-04  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* XslTransformImpl.cs : Load(url, resolver) now uses XPathDocument
	  .ctor(url, xmlSpace).

2003-08-30 Oleg Tkachenko <oleg@tkachenko.com>
	* ManagedXslTransform.cs: Outputter/Emitter selection logic is moved 
	to GenericOutputter.

2003-08-21  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* XslTransform.cs: commented out Cleanup () because of bug #47776.

2003-08-21  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Multiplexer.cs: fixed infinite recursion bug.

2003-08-20 Ben Maurer  <bmaurer@users.sourceforge.net>

	* ManagedXslTransform.cs: sync API (Oleg).

2003-08-19 Ben Maurer  <bmaurer@users.sourceforge.net>

	* ManagedXslTransform.cs: sync to API changes.

2003-08-18 Ben Maurer  <bmaurer@users.sourceforge.net>

	* ManagedXslTransform.cs, XslTransformImpl.cs: Add support for
	encoding.

2003-08-18 Ben Maurer  <bmaurer@users.sourceforge.net>

	* *.cs: Support for xsl:output. (Oleg)

2003-08-17 Ben Maurer  <bmaurer@users.sourceforge.net>

	* XslTransformImpl.cs: close XmlTextWriter when we create it.

2003-08-14  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* XslTransformImpl.cs, XslTransform.cs, Multiplexer.cs,
	  ManagedXslTransform.cs : Added Evidence args introduced in .NET 1.1.

2003-08-11  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* XsltCompileException.cs: Fixed/ Implemented rest
	* XsltException.cs: Added internal constructor

2003-08-04 Ben Maurer  <bmaurer@users.sourceforge.net>

	* ManagedXslTransform.cs: use the resolver given.

2003-07-30 Ben Maurer  <bmaurer@users.sourceforge.net>

	* ManagedXslTransform.cs: Hold reference to CompiledStyle, not the
	XslTransformProcessor. Will help with thread safty.

2003-07-30 Ben Maurer  <bmaurer@users.sourceforge.net>

	* ManagedXslTransform.cs: remove verbose debugging messages

2003-07-28 Ben Maurer  <bmaurer@users.sourceforge.net>

	* XslTransform.cs: Use the new XslTransformImpl class
	* XslTransformImpl.cs: An abstract class for Xsl transforms
	* UnmanagedXslTransform.cs: Contains the code that was in
	XslTransform.cs

2003-07-27  Piers Haken	<piersh@friskit.com>

	* XsltArgumentList.cs:
		fix type conversions in ValidateParam
		allow creating params with null namespaceUri

2003-07-05  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* XslTransform.cs : fixed WriteTree() and WriteCurrentNode() to follow
	  the recent changes of XPathNavigator implementations.

2003-07-02  Zoltan Varga  <vargaz@freemail.hu>

	* XslTransform.cs (Transform): Call xsltSaveResultToFilename instead
	of first reading the result into a string to conserve memory.

2003-06-30  Zoltan Varga  <vargaz@freemail.hu>

	* XslTransform.cs (GetStringFromDocument): Read the result using
	xsltSaveResultToString, since the XML document returned by
	applyStylesheet is missing the output processing done due to the
	usage of the xsl:output directive.

2003-06-21  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* XslTransform.cs : Fixed Transform (string, string) not to call
	  File.OpenWrite() that *appends* (not truncates) existing files.

2003-06-01  Joshua Tauberer <tauberer@for.net>

	* XslTransform.cs: Cache extension object delegates
	between calls to Transform.

2003-05-28  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* XslTransform.cs: fixed NullReferenceExceptions after the last
	change (which, btw, should have included a ChangeLog entry).

2003-05-27  Joshua Tauberer <tauberer@for.net>

        * XslTransform.cs: Initial support for extension objects.
	Known issues:
		-Extension method signatures must match exactly to the
		types of parameters that the method is called with from 
		the stylesheet.

		-Node set parameters are converted to an ArrayList of
		strings.

2003-05-27  Ben Maurer <bmaurer@users.sourceforge.net>

	* XslTransform.cs: unsafe classes need unsafe!

2003-05-11  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* XslTransform.cs: fixed bug #42739.

2003-05-11  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* XslTransform.cs: fixed bug #42747.

2003-05-01  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* XslTransform.cs: flush the writers when done. Fixes bug #42040.

2003-03-10  Alan Tam <Tam@SiuLung.com>

	* XslTransform.cs: Fixed a bug when no args is passed

2003-03-10  Alan Tam <Tam@SiuLung.com>

	* XslTransform.cs: Implemented boolean, number and string parameters.
	(Node Set and Node Iterator parameters and Extension Objects are left.)
	* XsltAttributeList.cs: Loosened access modifiers.

2003-02-20  Nick Drochak <ndrochak@gol.com>

	* XslTransform.cs: Remove confusing and unused parameter.

2003-01-24  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* XslTransform.cs: don't free the xml document used for the style sheet.
	xmlFreeStylesheet already does it. Correctly close the element tag for
	elements that don't have children. Added a couple of checks more.

2003-01-23  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* XslTransform.cs: fixed a couple of Transform overloads and changed the
	library name in DllImport to make it work on windows too.

2003-01-22  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* XslTransform.cs: implemented all Load and Transform methods. It uses
	libxml2 and libxslt. No more temp files. It's slow and memory consuming,
	but, well, that's XSLT... ;-). Idea from Zdravko Tashev.

	Now the Xsl web control works.

2002-09-23  Duncan Mak  <duncan@ximian.com>

	* XslTransform.cs (Laod): Implemented the simple version that
	takes one XPathNavigator as argument.
	(Save): New private method for recreating the XML in text from a
	XPathNavigator
	(WriteCurrentNode):
	(WriteTree): private methods for generating the text XML from the
	XPathNavigator tree.

2002-09-20  Duncan Mak  <duncan@ximian.com>

	* XslTransform.cs (Load): Implemented the methods, not
	including the ones that deal with XPathNavigator (hopefully those
	will come later).
	(Transform): Implemented the version that saves directly to a file.
	(Save): New private method for recreating the XML in text from
	from an XmlReader

	We're now P/Invoking libxslt for doing XSLT work.

2002-06-23  Piers Haken <piersh@friskit.com>
	
	* XsltContext.cs: added 'PreserveWhitespace' abstract method

